Bug 191719 - crash fails to build in mock
crash fails to build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-15 10:12 EDT by n0dalus
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 08:55:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build log (360.81 KB, text/plain)
2006-05-15 10:12 EDT, n0dalus
no flags Details

  None (edit)
Description n0dalus 2006-05-15 10:12:45 EDT
Description of problem:
crash fails to build in mock.

Version-Release number of selected component (if applicable):
crash-4.0-2.18.1.src.rpm

Build fails with error:
In file included from lkcd_v5.c:20:
lkcd_dump_v5.h:38:24: error: linux/list.h: No such file or directory
Comment 1 n0dalus 2006-05-15 10:12:45 EDT
Created attachment 129060 [details]
Build log
Comment 2 Dave Anderson 2006-05-16 08:49:18 EDT
Removed the following to get the devel branch to build:

  #include of <asm/list.h> from lkcd_v5_dump.h (as seen in attached log)
  #include of <asm/segment.h> from lkcd_x86_trace.c
  #include of <asm/page.h> by vas_crash.h
  #include of <asm/page.h> by s390_dump.c

The devel (fc6) branch is now at version 4.0-2.26.4. 

Note You need to log in before you can comment on or make changes to this bug.